Implementing a connection manager

Bug #1393536 reported by Kristina Hoeppner on 2014-11-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Wishlist
Unassigned

Bug Description

As part of the MNet replacement work (bug #1393530), a connection manager is to be implemented for managing connecting applications more easily.

For the specifications see https://wiki.mahara.org/index.php/Developer_Area/Specifications_in_Development/MNet_replacement/Connection_manager

tags: added: webservices
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/6520

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/6522

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/6526

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/6529

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/6527

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/6524

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/6525

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/6521

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/6528

Robert Lyon (robertl-9) on 2016-05-24
Changed in mahara:
milestone: none → 16.10.0
status: Confirmed → In Progress
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/6532

Reviewed: https://reviews.mahara.org/6520
Committed: https://git.mahara.org/mahara/mahara/commit/55dc46b577c1aab418a3c07874609a5e39d4873b
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 55dc46b577c1aab418a3c07874609a5e39d4873b
Author: Piers Harding <email address hidden>
Date: Fri Mar 18 12:36:12 2016 +1300

Bug 1393536: activitytypemutlirecip: fix function exists

behatnotneeded

Change-Id: I4fa9481ae0de06ef0255b6d523474fbd17c643b3

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/6617

Robert Lyon (robertl-9) wrote :

Basic testing of connection manager:

Steps to test the connection manager where sending an email to a user in site (A) will update values of user in site (B) - not the best test but it does work:

1) Have two mahara sites on different urls both with the patches checked out, one will be the 'from' site (A) and the other the 'to' site (B)

2) Have a user with the same ID in both of the mahara sites. Make sure both of the users belong to an institution (doesn't have to be the same one) that has the 'webservice' auth enabled and that both users have 'webservices' as their authentication method.

3) On site (B) make the user an institution admin so they have permissions to update a user (them-self)

4) On site (B) as admin go to Webservices and make sure that the webservices is on and that REST option is on, and that 'Switch managed client collections' is on.

5) Then go to the 'Manage service access tokens' and generate token for the user and make sure they have the service 'User provisioning'. Remember/Copy the token value.

6) On site (A) as admin go to Webservices and make sure that the webservices is on and that REST option is on, and that 'Switch managed client collections' is on.

7) You will need to use the test plugin 'notification/log' (ask robertl for it). Install the plugin file in the htdocs/notification directory and then install the plugin via Administration -> Extensions

8) Go to Institutions and click on the 'plug' icon for the institution the user is in. You should see the connection manager page with the dropdown containing one option 'PluginNotificationLog'

9) Click 'Add' and fill in:

Name: some random name
Connection enabled: tick the box
Web service type: REST
Authentication type: Token
Web Service URL: The url of site(B) + path to rest service, eg:
   https://mahara-testing/webservice/rest/server.php
Token: the token we got from step 5.
JSON encoded: tick the box

And save the form.

10) On site (A) log in as the user you want to test and go to Settings -> Notifications and change the 'Messages from other users' to 'Log' and save

11) On site (A) log in as admin and send a message to the user.

12) Now on site (A) the user should receive a message from admin but their Profile occupation and introduction should not change. But over on site (B) the user should have their Profile occupation and introduction change to subject and message of the sent email.

This proves that the connection manager is working and that an event on site (A) made a change to site(B).

If this fails check the error logs on site (A) to see what problems occurred. The should be a log line thus -
Mahara message from: [from email] to: [to email] subject: [subject of the message sent]
and below that there should be two arrays with headings
notification/log - connection:
notification/log - response:

The response one will tell you what is wrong with the connection to site (B)

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/6627

Reviewed: https://reviews.mahara.org/6521
Committed: https://git.mahara.org/mahara/mahara/commit/aa743c03cdc360f23502099f9432478f720d4f41
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit aa743c03cdc360f23502099f9432478f720d4f41
Author: Piers Harding <email address hidden>
Date: Fri Mar 18 12:46:14 2016 +1300

Bug 1393536: client connection manager

* added new client connection manager screens
* added client connection manager backend

behatnotneeded

Change-Id: Iac103616c7a9cd68cc94ea301a4cb808fe090669

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6525
Committed: https://git.mahara.org/mahara/mahara/commit/9d565e591ec43f6f6332f942f8dcf51361106900
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit 9d565e591ec43f6f6332f942f8dcf51361106900
Author: Piers Harding <email address hidden>
Date: Fri Mar 18 14:45:04 2016 +1300

Bug 1393536: make password a password field

behatnotneeded

Change-Id: I668e873aae1cb1487afd95fc02cefb11741e51b1

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6526
Committed: https://git.mahara.org/mahara/mahara/commit/7eadb691a36640519645eb64eef74b486f1678f1
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit 7eadb691a36640519645eb64eef74b486f1678f1
Author: Piers Harding <email address hidden>
Date: Fri Apr 29 13:23:37 2016 +1200

Bug 1393536: add OAuth LTI support

behatnotneeded

Change-Id: I224fcad3a4be6b54e4b48c07392a9415e22738b6

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6527
Committed: https://git.mahara.org/mahara/mahara/commit/8745d56f1e47742a2bd6988d918527452fef7d10
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit 8745d56f1e47742a2bd6988d918527452fef7d10
Author: Piers Harding <email address hidden>
Date: Sat Apr 30 17:24:08 2016 +1200

Bug 1393536: fix php-7.0 issues

behatnotneeded

Change-Id: If505431b69b5a8464d1ed395ff9c123db7a73c81

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6522
Committed: https://git.mahara.org/mahara/mahara/commit/63acb84dd3f15bda20ae5c68d582f8796936f9f2
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit 63acb84dd3f15bda20ae5c68d582f8796936f9f2
Author: Piers Harding <email address hidden>
Date: Fri Mar 18 12:47:27 2016 +1300

Bug 1393536: added to institution admin page

behatnotneeded

Change-Id: I0c2b3300cb5d13d7308b0ff98869412c8b1e6cc1

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6523
Committed: https://git.mahara.org/mahara/mahara/commit/9c17d3d73ff8d8938efc4da0a59cd501aaa682d6
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit 9c17d3d73ff8d8938efc4da0a59cd501aaa682d6
Author: Piers Harding <email address hidden>
Date: Fri Mar 18 12:48:16 2016 +1300

Bug 1393536: move menus to admin menu

behatnotneeded

Change-Id: I3fc255737f21e4b8f5bc2f06a457f9cdf97e1018

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6529
Committed: https://git.mahara.org/mahara/mahara/commit/442dc9457d1dd6f313e632ef9b2c247328913cc1
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit 442dc9457d1dd6f313e632ef9b2c247328913cc1
Author: Piers Harding <email address hidden>
Date: Thu May 5 11:09:33 2016 +1200

Bug 1393536: remove debug and parameterise remote oauth user

behatnotneeded

Change-Id: Ica193fac3c4ee0d000c503f61205b226da344466

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6592
Committed: https://git.mahara.org/mahara/mahara/commit/fdcac7baa811ed93024625871f649ba4696f2084
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit fdcac7baa811ed93024625871f649ba4696f2084
Author: Robert Lyon <email address hidden>
Date: Fri Jun 10 17:38:02 2016 +1200

Bug 1393536: Tidying up of the code

To keep it consistent with rest of Mahara

1) Moving the template files to the plugin/auth dir
2) Removing the old style submenu lines
3) Removing the bad window.open() calls
4) Fixing up menu placement / order
5) Fixing the add connection form's errors so they appear against
correct fields

behatnotneeded

Change-Id: Ic73526a2db2c6f8d7009b374a8ecc0977ba57330
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6617
Committed: https://git.mahara.org/mahara/mahara/commit/104d14fdc87283ff1405cb31129af9047cb91489
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit 104d14fdc87283ff1405cb31129af9047cb91489
Author: Robert Lyon <email address hidden>
Date: Fri Jun 24 09:42:19 2016 +1200

Bug 1393536: Tidying up oauth edit form

Allowing the consumer key/secret values to have their correct labels

behatnotneeded

Change-Id: Iac95b8bc2711fe9ec7b27380b97471e28646fab5
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6532
Committed: https://git.mahara.org/mahara/mahara/commit/edd8e77da8bdc843c5c5d9534f5dc9bdf747ede6
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit edd8e77da8bdc843c5c5d9534f5dc9bdf747ede6
Author: Robert Lyon <email address hidden>
Date: Thu May 26 14:35:03 2016 +1200

Bug 1393536: Messsage when connection page redirects

So you know why/what to do in insitition page

behatnotneeded

Change-Id: I24153670830c120b9fdfaf7617d429a196768d76
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6627
Committed: https://git.mahara.org/mahara/mahara/commit/2c79d6080cb6c78781f6b5e9f635f754283d999e
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit 2c79d6080cb6c78781f6b5e9f635f754283d999e
Author: Robert Lyon <email address hidden>
Date: Mon Jun 27 08:12:42 2016 +1200

Bug 1393536: More tidying up

Including:
- making add connection form cancel back to connections page
with correct institution selected
- Adding a help icon/page (needs content) for add connections
- Display tick/cross next to connection name to see if it is enabled
- Have the 'enable connection manager' master switch bunched with the
others
- Changing some strings to make thing clearer

behatnotneeded

Change-Id: I875ad6ec745cd136338017e27ef49542157cac7c
Signed-off-by: Robert Lyon <email address hidden>

Aaron Wells (u-aaronw) wrote :

I've committed this feature. The basic functionality is there. There are still some rough parts we could improve on, but I think at this point we can implement those in additional bug reports.

Changed in mahara:
status: In Progress → Fix Committed
tags: added: nominatedfeature
Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints